Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 158679

Summary: ldapmodify fails to recognize -S option as described in 'man 1 ldapmodify'
Product: Red Hat Enterprise Linux 4 Reporter: Brian Jones <jonesy.bugzilla>
Component: openldapAssignee: Jan Safranek <jsafrane>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 4.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-15 11:42:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Brian Jones 2005-05-24 19:44:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020 Epiphany/1.4.4

Description of problem:
man 1 ldapmodify describes a "-S" option thusly: 

----------------- SNIP ----------------------------
 -S file -- Add or change records which where skipped due to an error are written to file and  the  error  message  returned  by  the server is added as a comment. Most useful in conjunction with -c.
----------------- /SNIP ---------------------------

However, running ldapmodify with this command produces the following error: 

--------------- SNIP -------------------
ldapmodify: invalid option -- S
ldapmodify: unrecognized option -S
--------------- /SNIP ------------------

This happens regardless of how the command is run (order of args/options/etc), or by who. Additionally, whether or not the file you pass to -S exists doesn't seem to matter either. Removing the -S flag and running ldapmodify with the same input works. 

This particular flag would be extremely useful to have work. 

Version-Release number of selected component (if applicable):
openldap-clients-2.0.27-17

How reproducible:
Always

Steps to Reproduce:
1. Log in
2. Run ldapmodify with the -S flag (ie ldapmodify -f <valid ldif file> -c -S errfile)
3. sob and pull out hair. 
  

Actual Results:  I got an error saying "-S" is an unrecognized option

Expected Results:  ldapmodify should've happily parsed my LDIF file and applied the changes, noting errors to the file passed as an argument to the -S flag. 

Additional info:

Comment 1 Jan Safranek 2007-06-20 12:01:17 UTC
I apologize for long silence from Red Hat. I am new maintainer of openldap and I
am cleaning old bugs. I am not able to reproduce the bug on my RHEL 4.5 box,
command 'ldapmodify -x -f my.ldif -c -S errfile' works as described in man pages.

Could you please try to reproduce the bug on your system updated to RHEL 4.5 and
let me know the results?

Thanks in advance

Please note that running 'ldapmodify -S' without any file after '-S' will
display the error you are complaining about ("unrecognized option -S"). This may
be confusing, but if you specify the file after -S, it works.


Comment 2 Jan Safranek 2008-01-15 11:42:48 UTC
Closing due to reporter inactivity. Feel free to reopen the bug if you are able
to reproduce it and provide the required information.